%define	name	gsm
%define	version	1.0.10
%define	release	1
%define	srcver	1.0-pl10

Summary:	Shared libraries for GSM speech compressor.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-1.0.10-dyn.patch.bz2
License:	distributable
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Url:		http://kbs.cs.tu-berlin.de/~jutta/toast.html

%description
Contains runtime shared libraries for libgsm, an implementation of
the European GSM 06.10 provisional standard for full-rate speech
transcoding, prI-ETS 300 036, which uses RPE/LTP (residual pulse
excitation/long term prediction) coding at 13 kbit/s.

GSM 06.10 compresses frames of 160 13-bit samples (8 kHz sampling
rate, i.e. a frame rate of 50 Hz) into 260 bits; for compatibility
with typical UNIX applications, our implementation turns frames of 160
16-bit linear samples into 33-byte frames (1650 Bytes/s).
The quality of the algorithm is good enough for reliable speaker
recognition; even music often survives transcoding in recognizable 
form (given the bandwidth limitations of 8 kHz sampling rate).

The interfaces offered are a front end modelled after compress(1), and
a library API.  Compression and decompression run faster than realtime
on most SPARCstations.  The implementation has been verified against the
ETSI standard test patterns.

%package devel
Summary:	Development libraries for a GSM speech compressor.
Group:		Development/C
Requires:	%{name} = %{version}

%description devel
Contains header files and development libraries for libgsm, an
implementation of the European GSM 06.10 provisional standard for
full-rate speech transcoding, prI-ETS 300 036, which uses RPE/LTP
(residual pulse excitation/long term prediction) coding at 13 kbit/s.

GSM 06.10 compresses frames of 160 13-bit samples (8 kHz sampling
rate, i.e. a frame rate of 50 Hz) into 260 bits; for compatibility
with typical UNIX applications, our implementation turns frames of 160
16-bit linear samples into 33-byte frames (1650 Bytes/s).
The quality of the algorithm is good enough for reliable speaker
recognition; even music often survives transcoding in recognizable 
form (given the bandwidth limitations of 8 kHz sampling rate).

The interfaces offered are a front end modelled after compress(1), and
a library API.  Compression and decompression run faster than realtime
on most SPARCstations.  The implementation has been verified against the
ETSI standard test patterns.

%prep
%setup -q -n %{name}-%{srcver}
%patch0 -p1

%build
make %{?_smp_mflags} CCFLAGS='-c %{optflags} -D_REENTRANT -DNeedFunctionPrototypes=1' all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_libdir},%{_mandir}/man{1,3},%{_bindir},%{_includedir}}
make install	GSM_INSTALL_ROOT=$RPM_BUILD_ROOT%{_prefix} \
		GSM_INSTALL_LIB=$RPM_BUILD_ROOT%{_libdir} \
		GSM_INSTALL_INC=$RPM_BUILD_ROOT%{_includedir} \
		GSM_INSTALL_MAN=$RPM_BUILD_ROOT%{_mandir}/man3 \
		TOAST_INSTALL_ROOT=$RPM_BUILD_ROOT%{_prefix} \
		TOAST_INSTALL_BIN=$RPM_BUILD_ROOT%{_bindir}/ \
		TOAST_INSTALL_MAN=$RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir/*
%_mandir/man1/*
%_mandir/man3/*

%files devel
%defattr(-,root,root)
%_libdir/*.a
%_includedir/*

%changelog
* Mon Feb  9 2004 Peter Hanecak <hanecak@megaloman.sk> 1.0.10-1
- adapted to Doors Linux

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0.10-6mdk
- rebuild
- don't rm -rf $RPM_BUILD_ROOT in %%prep
- quiet setup
- fix installation in stead o working around it
- cosmetics

* Thu Aug 29 2002  Lenny Cartier <lenny@mandrakesoft.com> 1.0.10-5mdk
- rebuild

* Fri Jul 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.10-4mdk
- rebuild
- really add url

* Sun Mar 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.10-3mdk
- url, macros
- provide man pages

* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.10-2mdk
- rebuild

* Fri Oct 20 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.10-1mdk
- first version

# libgsm.spec ends here
